Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface IntervalXYDataset

All Superinterfaces:
  Dataset, SeriesDataset, XYDataset

All Known Implementing Classes:
  AbstractIntervalXYDataset, CategoryTableXYDataset, CombinedDataset, DefaultTableXYDataset, DynamicTimeSeriesCollection, HistogramDataset, SubSeriesDataset, TimePeriodValuesCollection, TimeSeriesCollection, TimeTableXYDataset, XYBarDataset, XYSeriesCollection

public interface IntervalXYDataset
extends XYDataset

An extension of the `XYDataset` interface that allows a range of data to be defined for the X values, the Y values, or both the X and Y values.

This versatile interface will be used to support (among other things) bar plots against numerical axes.

Author:
  Mark Watson

Method Summary
`double` | `getEndX(int series, int item)` Returns the end x-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getEndXValue(int series, int item)` Returns the ending X value for the specified series and item.
`double` | `getEndY(int series, int item)` Returns the end y-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getEndYValue(int series, int item)` Returns the ending Y value for the specified series and item.
`double` | `getStartX(int series, int item)` Returns the start x-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getStartXValue(int series, int item)` Returns the starting X value for the specified series and item.
`double` | `getStartY(int series, int item)` Returns the start y-value (as a double primitive) for an item within a series.
`java.lang.Number` | `getStartYValue(int series, int item)` Returns the starting Y value for the specified series and item.

Methods inherited from interface org.jfree.data.XYDataset
`getItemCount, getX, getXValue, getY, getYValue`

Methods inherited from interface org.jfree.data.SeriesDataset
`getSeriesCount, getSeriesName`

Methods inherited from interface org.jfree.data.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getStartXValue

    public java.lang.Number getStartXValue(int series,
                                           int item)

  Returns the starting X value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item within a series (zero-based index).
  Returns:
    the starting X value for the specified series and item.

### getStartX

    public double getStartX(int series,
                            int item)

  Returns the start x-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The start x-value.

### getEndXValue

    public java.lang.Number getEndXValue(int series,
                                         int item)

  Returns the ending X value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item within a series (zero-based index).
  Returns:
    the ending X value for the specified series and item.

### getEndX

    public double getEndX(int series,
                          int item)

  Returns the end x-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The end x-value.

### getStartYValue

    public java.lang.Number getStartYValue(int series,
                                           int item)

  Returns the starting Y value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item within a series (zero-based index).
  Returns:
    starting Y value for the specified series and item.

### getStartY

    public double getStartY(int series,
                            int item)

  Returns the start y-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The start y-value.

### getEndYValue

    public java.lang.Number getEndYValue(int series,
                                         int item)

  Returns the ending Y value for the specified series and item.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item within a series (zero-based index).
  Returns:
    the ending Y value for the specified series and item.

### getEndY

    public double getEndY(int series,
                          int item)

  Returns the end y-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series (zero-based index).
    `item` - the item (zero-based index).
  Returns:
    The end y-value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD